The shop's affiliate creators ranked by GMV over a date window
GET
/api/public/v1/tik_tok_shop/affiliate/creatorsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopAffiliateCreators
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/creators?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string | required |
| end_date | query | string | required |
| scope | query | string | One of allgrowi Default all |
| limit | query | integer | Default 50 |
| cursor | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| creators | array of object, nullable | |
| creators[].[].commissionEstimated | number, nullable | |
| creators[].[].creatorKey | string, nullable | |
| creators[].[].creatorUsername | string, nullable | |
| creators[].[].gmvGross | number, nullable | |
| creators[].[].itemsSold | number, nullable | |
| creators[].[].lastOrderAt | string, nullable | |
| creators[].[].orders | number, nullable | |
| creators[].[].skuOrders | number, nullable | |
| nextCursor | string, nullable | |
| scope | string, nullable | |
| sweptThrough | string, nullable | |
| window | object, nullable | |
| window.endDate | string, nullable | |
| window.startDate | string, nullable |
Example
{
"creators": [
{
"commissionEstimated": 125.5,
"creatorKey": "string",
"creatorUsername": "Example name",
"gmvGross": 125.5,
"itemsSold": 125.5,
"lastOrderAt": "string",
"orders": 125.5,
"skuOrders": 125.5
}
],
"nextCursor": "string",
"scope": "string",
"sweptThrough": "string",
"window": {
"endDate": "string",
"startDate": "string"
}
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.